#!/opt/local/bin/gnuplot -persist
#set term postscript eps enhanced color dashed lw 2 "Times-Roman" 20
#set out 'aM.eps'

set xlabel "Semimajor axis [AU]" 
set xrange [ 0.009 : * ] 
set ylabel "Mass [M_{Earth}]" 
set yrange [ 1:2e4] 
set log 
unset key
set size ratio 1
set format x "10^{%L}"
set format y "10^{%L}"
set mxtics 10
set mytics 10

# Giants
#intermediate, rocky
#intermediate, icy
#low mass, rocky
#low mass, icy

plot 'ref_red1e10.dat' u 10:($4/$3>10?$5:1/0) pt 31 ps 1 lc rgb "red", '' u 10:($4/$3<10&&$4/$3>1&&$24<$23?$5:1/0) pt 65 lc rgb "green", '' u 10:($4/$3<10&&$4/$3>1&&$24>$23?$5:1/0) pt 65 lc rgb "blue",'' u 10:($4/$3<1&&$24<$23?$5:1/0) pt 31 ps 1 lc rgb "green", '' u 10:($4/$3<1&&$24>$23?$5:1/0) pt 3 lc rgb "blue"


#    EOF
