DOUBLE PRECISION FUNCTION gasdev(idum)
!Returns a normally distributed deviate with zero mean and unit variance, using
!RAN1(IDUM) as the source of the uniform deviates.

IMPLICIT NONE
INTEGER          ::idum
INTEGER          ::iset
DOUBLE PRECISION :: fac,gset,rsq,v1,v2,ran1
  
SAVE iset,gset

DATA iset/0/
  
IF (iset.EQ.0) THEN
1  v1=2.*ran1(idum)-1.
   v2=2.*ran1(idum)-1.
   rsq=v1**2+v2**2
   IF(rsq.GE.1..OR.rsq.EQ.0.)GOTO 1

   fac=SQRT(-2.*LOG(rsq)/rsq)
   gset=v1*fac
   gasdev=v2*fac
   iset=1
ELSE
   gasdev=gset
   iset=0
ENDIF
  
RETURN


END FUNCTION gasdev
