subroutine getparams(pT,alpha,fpgsun,kappa,pKH,qKH,ilimMe,itypeI,C1,itypeII,C2,CMdotc)

!(c) Christoph Mordasini, University of Bern, 2015
!read in the parameters for the GFE model

IMPLICIT NONE
INCLUDE 'units.h90'

LOGICAL,PARAMETER                  ::DEBUG=.FALSE.
DOUBLE PRECISION,INTENT(OUT)       ::pT,alpha,fpgsun,kappa,pKH,qKH,C1,C2,CMdotc
INTEGER,INTENT(OUT)                ::ilimMe,itypeI,itypeII

IF(DEBUG)THEN
   WRITE(*,*)
   WRITE(*,*)'SBR GETPARAMS'
END IF
 
OPEN(2,file='paramsPFE.in')
READ(2,*)pT
READ(2,*)alpha
READ(2,*)fpgsun
READ(2,*)kappa
READ(2,*)pKH
READ(2,*)qKH
READ(2,*)ilimMe
READ(2,*)itypeI
READ(2,*)C1
READ(2,*)itypeII
READ(2,*)C2
READ(2,*)CMdotc
CLOSE(2)

IF(DEBUG)THEN
   WRITE(*,*)'The parameters'
   WRITE(*,*)'Power law exponent for temperature in disk (-0.5)  ',pT
   WRITE(*,*)'Alpha viscosity in disk (1e-3)                     ',alpha
   WRITE(*,*)'Solar dust to gas ratio (0.0149)                   ',fpgsun
   WRITE(*,*)'Opacity in protoplanetary atmosphere [cm**2/g] (1) ',kappa
   WRITE(*,*)'Powerlaw TKH of planet 10**pKH*M**qKH pKH (10.4)   ',pKH
   WRITE(*,*)'Powerlaw TKH of planet 10**pKH*M**qKH qKH (-1.5)   ',qKH
   WRITE(*,*)'Mode of limiting gas accretion (5)                 ',ilimMe
   WRITE(*,*)'Mode of type I                                     ',itypeI
   WRITE(*,*)'Scaling factor for type I rate                     ',C1
   WRITE(*,*)'Mode of type II  (2)                               ',itypeII
   WRITE(*,*)'Scaling factor for type II rate                    ',C2
   WRITE(*,*)'Scaling factor for core accretion rate             ',CMdotc
   READ(*,*)
END IF


RETURN
end subroutine getparams
