DOUBLE PRECISION FUNCTION ran1(idum)

!Return an uniform deviate between 0.0 and 1.0. Set IDUM to any negative value to initialize
!or reinitialize the sequence.

IMPLICIT NONE
INTEGER            ::idum,IA,IM,IQ,IR,NTAB,NDIV
INTEGER            ::idumIn,idumOut
DOUBLE PRECISION   ::AM,EPS,RNMX
PARAMETER (IA=16807,IM=2147483647,AM=1./IM,IQ=127773,IR=2836,NTAB=32,NDIV=1+(IM-1)/NTAB,EPS=1.2D-7,RNMX=1.-EPS)
INTEGER j,k,iv(NTAB),iy
SAVE iv,iy,idumOut

DATA iv /NTAB*0/, iy /0/

idumin=idum

!check that we use the random generater correctly i.e. using always the old idum
!from the last call on the new call. On the first call it is different.
!then idumin is =-12345 (as set in exostat)
IF(idumin/=idumout.AND..NOT.(idumin==-12345))THEN
   WRITE(0,*) 'ERROR in Fct ran1: idumIn=/idumout!'
   STOP'ran1 must be called with idum returned from the last call!'
END IF

IF (idum.LE.0.OR.iy.EQ.0) THEN
   idum=MAX(-idum,1)
   DO  j=NTAB+8,1,-1
      k=idum/IQ
      idum=IA*(idum-k*IQ)-IR*k
      IF (idum.LT.0) idum=idum+IM
      IF (j.LE.NTAB) iv(j)=idum
   END DO
   iy=iv(1)
ENDIF

k=idum/IQ
idum=IA*(idum-k*IQ)-IR*k
IF (idum.LT.0) idum=idum+IM
j=1+iy/NDIV
iy=iv(j)
iv(j)=idum
ran1=MIN(AM*iy,RNMX)

idumOut=idum

RETURN
END FUNCTION ran1
