SUBROUTINE writeout(writeTrack,iplanet,itime,time,timeold,dt,Mgdisk,Mddisk,ndisk,Rdisk,Sigmag,Sigmad,Hdisk,&
     Mc,Mdotc,Me,Mdote,ap,Mstar,fg,feh,taudisk,aice,apini,dlsigmagdlr,adot,Tdisk,Rindisk,Routdisk)

!(c) Christoph Mordasini, University of Bern, 2015 
!Write the main output files

IMPLICIT NONE
INCLUDE 'units.h90'
INTEGER,INTENT(IN)                                ::iplanet,itime,ndisk
DOUBLE PRECISION,INTENT(IN)                       ::time,timeold,dt,Mgdisk,Mddisk,Mc,Mdotc,Me,Mdote,ap
DOUBLE PRECISION,INTENT(IN)                       ::Mstar,fg,feh,taudisk,aice,apini,dlsigmagdlr,adot,Rindisk,Routdisk
DOUBLE PRECISION,DIMENSION(ndisk),INTENT(IN)      ::Rdisk,Sigmag,Sigmad,Hdisk,Tdisk
INTEGER                                           ::i,ip
LOGICAL,INTENT(IN)                                ::writeTrack
LOGICAL,PARAMETER                                 ::DEBUG=.FALSE.
DOUBLE PRECISION,SAVE                             ::twrite=1d5*an
DOUBLE PRECISION                                  ::Rhills,yloc,yderi

IF(DEBUG)THEN
   WRITE(*,*)
   WRITE(*,*)'SBR WRITEOUT'
END IF

!get the disk properties at the planet's position
DO i=1,ndisk-1
   IF(Rdisk(i)<=ap.AND.Rdisk(i+1)>=ap)THEN
      ip=i
      EXIT
   END IF
END DO



!write the formation track with the temporal evolution at every time step. Mode where we study indivdual planets
IF(writeTrack)THEN

   WRITE(1,'(100G15.5)')itime,time/an,Mc/Mearth,Me/Mearth,(Mc+Me)/Mearth,Mgdisk/Msol,Mddisk/Mearth,Mdotc/Mearth*an,Mdote/Mearth*an,&
        ap/AU,dt/an,Sigmag(ip),Sigmad(ip),Hdisk(ip)/AU,Rhills(Mc+Me,Mstar,ap)/AU,dlsigmagdlr,adot/AU*an


   !write the radial disk structure but at given intervalls only
   IF(time>twrite)THEN
      WRITE(13,*)
      twrite=time*2D0
      Do i=1,ndisk
         IF(Sigmag(i)>0D0)THEN
            call drivequadradisk(Ndisk,Rdisk,Sigmag,Rdisk(i),yloc,yderi)
            yderi=yderi*Rdisk(i)/Sigmag(i)
         ELSE
            yloc=0D0
            yderi=0D0
         END IF
         WRITE(13,'(100G15.5)')time/an,rdisk(i)/AU,Sigmag(i),Sigmad(i),yderi,Tdisk(i),Hdisk(i)/AU
      END Do
   END IF

ELSE !mode where we generate systems or populations: write the state at praticular moments in time
   IF(timeold/an<1D5.AND.time/an>1D5)THEN
      IF(DEBUG)WRITE(*,*)time/an,ap/AU,Mc/Mearth,Me/Mearth
      WRITE(95,'(100G15.5)')itime,time/an,Mc/Mearth,Me/Mearth,(Mc+Me)/Mearth,Mgdisk/Msol,Mddisk/Mearth,Mdotc/Mearth*an,Mdote/Mearth*an,&
           ap/AU,dt/an,Sigmag(ip),Sigmad(ip),Hdisk(ip)/AU,Rhills(Mc+Me,Mstar,ap)/AU,dlsigmagdlr,adot/AU*an,iplanet,Mstar/Msol,fg,feh,&
           taudisk/an,aice/AU,apini/AU,Rindisk/AU,Routdisk/AU
   ELSE IF(timeold/an<1D6.AND.time/an>1D6)THEN
      IF(DEBUG)WRITE(*,*)time/an,ap/AU,Mc/Mearth,Me/Mearth
      WRITE(96,'(100G15.5)')itime,time/an,Mc/Mearth,Me/Mearth,(Mc+Me)/Mearth,Mgdisk/Msol,Mddisk/Mearth,Mdotc/Mearth*an,Mdote/Mearth*an,&
           ap/AU,dt/an,Sigmag(ip),Sigmad(ip),Hdisk(ip)/AU,Rhills(Mc+Me,Mstar,ap)/AU,dlsigmagdlr,adot/AU*an,iplanet,Mstar/Msol,fg,feh,&
           taudisk/an,aice/AU,apini/AU,Rindisk/AU,Routdisk/AU
   ELSE IF(timeold/an<1D7.AND.time/an>1D7)THEN
      IF(DEBUG)WRITE(*,*)time/an,ap/AU,Mc/Mearth,Me/Mearth
      WRITE(97,'(100G15.5)')itime,time/an,Mc/Mearth,Me/Mearth,(Mc+Me)/Mearth,Mgdisk/Msol,Mddisk/Mearth,Mdotc/Mearth*an,Mdote/Mearth*an,&
           ap/AU,dt/an,Sigmag(ip),Sigmad(ip),Hdisk(ip)/AU,Rhills(Mc+Me,Mstar,ap)/AU,dlsigmagdlr,adot/AU*an,iplanet,Mstar/Msol,fg,feh,&
           taudisk/an,aice/AU,apini/AU,Rindisk/AU,Routdisk/AU
   ELSE IF(timeold/an<1D8.AND.time/an>1D8)THEN
      IF(DEBUG)WRITE(*,*)time/an,ap/AU,Mc/Mearth,Me/Mearth
      WRITE(98,'(100G15.5)')itime,time/an,Mc/Mearth,Me/Mearth,(Mc+Me)/Mearth,Mgdisk/Msol,Mddisk/Mearth,Mdotc/Mearth*an,Mdote/Mearth*an,&
           ap/AU,dt/an,Sigmag(ip),Sigmad(ip),Hdisk(ip)/AU,Rhills(Mc+Me,Mstar,ap)/AU,dlsigmagdlr,adot/AU*an,iplanet,Mstar/Msol,fg,feh,&
           taudisk/an,aice/AU,apini/AU,Rindisk/AU,Routdisk/AU
   ELSE IF(timeold/an<1D9.AND.time/an>1D9)THEN
      IF(DEBUG)WRITE(*,*)time/an,ap/AU,Mc/Mearth,Me/Mearth
      WRITE(99,'(100G15.5)')itime,time/an,Mc/Mearth,Me/Mearth,(Mc+Me)/Mearth,Mgdisk/Msol,Mddisk/Mearth,Mdotc/Mearth*an,Mdote/Mearth*an,&
           ap/AU,dt/an,Sigmag(ip),Sigmad(ip),Hdisk(ip)/AU,Rhills(Mc+Me,Mstar,ap)/AU,dlsigmagdlr,adot/AU*an,iplanet,Mstar/Msol,fg,feh,&
           taudisk/an,aice/AU,apini/AU,Rindisk/AU,Routdisk/AU
   ELSE IF(timeold/an<1D10.AND.time/an>1D10)THEN
      IF(DEBUG)WRITE(*,*)time/an,ap/AU,Mc/Mearth,Me/Mearth
      WRITE(100,'(100G15.5)')itime,time/an,Mc/Mearth,Me/Mearth,(Mc+Me)/Mearth,Mgdisk/Msol,Mddisk/Mearth,Mdotc/Mearth*an,Mdote/Mearth*an,&
           ap/AU,dt/an,Sigmag(ip),Sigmad(ip),Hdisk(ip)/AU,Rhills(Mc+Me,Mstar,ap)/AU,dlsigmagdlr,adot/AU*an,iplanet,Mstar/Msol,fg,feh,&
           taudisk/an,aice/AU,apini/AU,Rindisk/AU,Routdisk/AU
   END IF
END If

RETURN
END SUBROUTINE writeout
