def Parameters():

  params={
    'confirmedDataFile':'confirmedPlanets.csv', # file with confirmed planets from the NASA Exoplanet Archive
    'confirmedDataFields':
        ['pl_hostname','pl_name','pl_letter','pl_discmethod',
         'ra','dec',
         'pl_massj','pl_msinij','pl_radj',
         'pl_masse','pl_msinie','pl_rade',
         'pl_orbper','pl_orbsmax','pl_orbeccen','pl_orbincl',
         'st_lum','st_mass','st_rad','st_teff',
         'pl_tranflag','pl_astflag','pl_rvflag','pl_imgflag',
         'pl_eqt','pl_insol'],
    'keplerDataFile':'keplerPlanets.csv',       # file with Kepler planets from the NASA Exoplanet Archive
    'keplerDataFields':
        ['kepid','kepler_name','koi_disposition',
         'ra','dec',
         'koi_prad',             
         'koi_period','koi_sma','koi_eccen','koi_incl',
         'koi_teq','koi_insol'],
    'archiveDir':'archiveData',                 # directory where these two files are located 
      
    'popsynthFile':'',               # file with synthetic population results
    'popsynthDir':'popsynth',        # directory where file is located 

    'onlyConfirmed':True,   # only plot confirmed planets

    'plotPhaseSpace':True,  # plot the overall planet phase space
    'plotMassRadius':False, # plot the function used to convert R to M

  # compare RV-selected population against RV data
    'RVComparison':False,     
     'RVcut':1.,            # RV signal must be above this cutoff (m/s)
     'RVtime':5.,           # timespan for synthetic RV observations (years)

  # compare transit-selected population against Kepler data
    'KeplerComparison':False, 
     'tranScale':10.,       # scaling for transit-like selection effect
     'transitCut':120.,     # minimum transit signal (ppm)
     'tranTime':4.,         # timespan for transit observations (years)

    'modelColor':'orange',  # color for plots of model data
    'rvColor':'purple',     # color for RV-detected planet 
    'transitColor':'purple',# color for transit-detected planet 
    'otherColor':'purple',  # color for other-detected planet 
    'pointSize':10          # size of plot points
    }

  random.seed(123.)         # random seed e.g. for setting RV planets inclination

  return params

